<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Producto {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>


<div class="">
    <div class="col-sm-12 titulo text-center">
        Productos
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>
<br>
<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">
        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre del Producto"
                        class="form-control" (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Categoria</td>
                    <td>Nombre</td>
                   
                    <td>Precio</td>
                    <td>IVA</td>
                    <td>Cantidad</td>
                    <td>Descuento</td>
                    <td>Estado</td>


                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of productos.slice((page-1) *
                    pageSize,page * pageSize)" ng-click="selectPerson(persona)">
                    <td>{{ datos.nombrecategoria }}</td>
                    <td>{{ datos.nombre }}</td>
                    
                    <td>{{ datos.precio }}</td>
                    <td>{{ datos.valorIva }}</td>
                    <td>{{ datos.cantidad }}</td>
                    <td>{{ datos.descuento }}</td>
                    <td>{{ datos.estado == 1 ? 'Activo' : 'No Activo' }}</td>



                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit"
                                (click)="seleccionarProducto(datos.id)"
                                aria-hidden="true"></i>
                        </button>
                        <button class="btn btn-danger" *ngIf="veliminar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nombre)"></i>
                        </button>

                    </td> 
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="productos.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-md-12 ">
        <div class="card" *ngIf="vopciones">
            <div class="card-body">
                <form name="myForm">

                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="input-group mb-3">
                                    <label class="input-group-text colorBuscar"
                                        for="categoria">Categorias</label>
                                    <select class="form-select" id="categoria"
                                        name="categoria"
                                        [(ngModel)]="producto.categoria">
                                        <option value="0">Seleccionar Categoria</option>
                                        <option *ngFor="let datos of categorias"
                                            [value]="datos.id">
                                            {{datos.nombre}}
                                        </option>

                                    </select>
                                </div>
                                <label class="form-label error" for="tabla"
                                    *ngIf="errorCategoria">{{strCategoria}}</label>
                            </div>

                        </div>


                        <label for="nombre" class="form-label">Nombre</label>
                        <input type="text" id="nombre" name="nombre"
                            [(ngModel)]="producto.nombre" placeholder="Nombre"
                            class="form-control" autofocus/>
                        <label class="form-label error" for="nombre"
                            *ngIf="errorNombre">{{strNombre}}</label>
                        <br>
                        <label for="descripcion" class="form-label">Descripción</label>
                        <input type="text" id="descripcion" name="descripcion"
                            [(ngModel)]="producto.descripcion"
                            placeholder="Descripcion" class="form-control"/>
                        <label class="form-label error" for="descripcion"
                            *ngIf="errorDescripcion">{{strDescripcion}}</label>
                        <br>
                        <div class="row"> 
                            <div class="col-sm-6">
                                <label for="precio" class="form-label">Precio</label>
                                <input 
                                    type="number" 
                                    id="precio" 
                                    [maxlength]="100"
                                    name="precio"
                                    step="0.01" 
                                    [(ngModel)]="producto.precio"
                                    placeholder="Precio" 
                                    class="form-control"
                                    (input)="validarDecimal($event)"/>
                                <label class="form-label error" for="precio"
                                    *ngIf="errorPrecio">{{strPrecio}}</label>
                            </div>
                            <div class="col-sm-6 ">
                                <label for="cantidad" class="form-label">Cantidad</label>
                                <input type="text" id="cantidad" name="cantidad"
                                    [(ngModel)]="producto.cantidad"
                                    placeholder="Cantidad"
                                    class="form-control" readonly disabled />
                                <label class="form-label error" for="cantidad"
                                    *ngIf="errorCantidad">{{strCantidad}}</label>
                            </div>
                        </div>
                        <br>
                        <div class="row align-items-start">
                            <div class="col-sm-6 ">
                                <label for="iva" class="form-label ">IVA, %</label>
                                <div class="input-group mb-3">
                                    <label class="input-group-text colorBuscar"
                                        for="iva">IVA</label>
                                    <select class="form-select" id="iva"
                                        name="iva"
                                        [(ngModel)]="producto.IVA">
                                        <option value="0">Seleccionar IVA</option>
                                        <option *ngFor="let datos of iva"
                                            [value]="datos.id">
                                            {{datos.valor}}
                                        </option>

                                    </select>
                                </div>
                                <label class="form-label error" for="tabla"
                                    *ngIf="errorCategoria">{{strCategoria}}</label>
                            </div>
                            <div class="col-sm-6 ">
                                <label for="descuento" class="form-label">Descuento, %</label>
                                <input 
                                    type="number" 
                                    [maxlength]="100"
                                    min="0"
                                    id="descuento" 
                                    name="descuento"
                                    step="1"
                                    [(ngModel)]="producto.descuento" 
                                    placeholder="descuento"
                                    class="form-control"
                                    (input)="validarEntero($event)"/>
                                <label class="form-label error" for="descuento"
                                    *ngIf="errorDescuento">{{strDescuento}}</label>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            
                            <div class="col-sm-12">
                                <label for="iva" class="form-label ">Seleccionar</label>
                                <div class="input-group mb-3">

                                    <label class="input-group-text colorBuscar"
                                        for="estado">Estado</label>
                                    <select class="form-select" id="estado"
                                        name="estado"
                                        [(ngModel)]="producto.estado">
                                        <option value="1">Activo</option>
                                        <option value="0">No Activo</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6 mb-3">
                                <label for="imagen" class="form-label ">Imagen</label>
                                <input class="form-control form-control-sm"
                                    id="imagen"
                                    (change)="capturarImagen($event)"
                                    type="file" accept="image/png, image/jpeg">
                            </div>
                            <div class="col-sm-6 ">

                                <img src="{{producto.imagen}}" alt=""
                                    style="width: 100%;">
                            </div>
                        </div>
                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                    <button type="submit" class="btn btn-danger"
                        (click)="cancelar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>
                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>
                </form>
            </div>
        </div>
    </div>
</div>